UiPath Documentation
automation-suite
2.2510
true
UiPath Automation Suite API ガイド
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

外部クライアントを更新する

Identity API を使用して、Automation Suite 組織内の外部 OAuth クライアントの名前、リダイレクト URL、スコープ、証明書を更新します。

外部 OAuth アプリケーションの名前、リダイレクト URL、スコープ、または証明書を更新します。

API エンドポイント

PUT https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}/{clientId}

スコープ

次のスコープのいずれかが必要です。

  • PM.OAuthApp
  • PM.OAuthApp.Write

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、「認証方法」に記載されているいずれかの方法で認証を行ってください。

要求本文

要求本文には、特定の外部クライアントが存在する組織 ID と、対応するクライアント ID が含まれます。

{
  "partitionGlobalId": "<organizationId>",
  "clientId": "<clientId>"
}
{
  "partitionGlobalId": "<organizationId>",
  "clientId": "<clientId>"
}

応答

200 サクセス

指定した外部クライアントが正常に更新されました。

{
  "name": "string",
  "redirectUri": "string",
  "scopes": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "type": "user"
    }
  ],
  "clientCertificates": [
    {}
  ]
}
{
  "name": "string",
  "redirectUri": "string",
  "scopes": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "type": "user"
    }
  ],
  "clientCertificates": [
    {}
  ]
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • 要求本文
  • 応答
  • 200 サクセス

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得